=== modified file 'bzrlib/tests/ssl_certs/create_ssls.py'
--- bzrlib/tests/ssl_certs/create_ssls.py	2007-11-25 14:05:34 +0000
+++ bzrlib/tests/ssl_certs/create_ssls.py	2008-01-05 22:09:47 +0000
@@ -105,7 +105,7 @@
     server_locality='LocalHost',
     server_organization='Testing Ltd',
     server_section='https server',
-    server_name='127.0.0.1', # Always accessed under that name
+    server_name='localhost', # Always accessed under that name
     server_email='https_server@locahost',
     server_optional_company_name='',
     )

=== modified file 'bzrlib/tests/ssl_certs/server.crt'
--- bzrlib/tests/ssl_certs/server.crt	2007-11-25 14:05:34 +0000
+++ bzrlib/tests/ssl_certs/server.crt	2008-01-05 22:09:47 +0000
@@ -2,32 +2,32 @@
 MIIFpDCCA4wCAQEwDQYJKoZIhvcNAQEFBQAwgZMxCzAJBgNVBAYTAkJaMREwDwYD
 VQQIEwhJbnRlcm5ldDEPMA0GA1UEBxMGQmF6YWFyMRQwEgYDVQQKEwtEaXN0cmli
 dXRlZDEMMAoGA1UECxMDVkNTMR8wHQYDVQQDExZNYXN0ZXIgb2YgY2VydGlmaWNh
-dGVzMRswGQYJKoZIhvcNAQkBFgxjZXJ0QG5vLnNwYW0wHhcNMDcxMTI1MTQwMTMx
-WhcNMTcxMTIyMTQwMTMxWjCBmzELMAkGA1UEBhMCTEgxETAPBgNVBAgTCEludGVy
+dGVzMRswGQYJKoZIhvcNAQkBFgxjZXJ0QG5vLnNwYW0wHhcNMDgwMTA1MjIwNjQ1
+WhcNMTgwMTAyMjIwNjQ1WjCBmzELMAkGA1UEBhMCTEgxETAPBgNVBAgTCEludGVy
 bmV0MRIwEAYDVQQHEwlMb2NhbEhvc3QxFDASBgNVBAoTC1Rlc3RpbmcgTHRkMRUw
-EwYDVQQLEwxodHRwcyBzZXJ2ZXIxEjAQBgNVBAMTCTEyNy4wLjAuMTEkMCIGCSqG
+EwYDVQQLEwxodHRwcyBzZXJ2ZXIxEjAQBgNVBAMTCWxvY2FsaG9zdDEkMCIGCSqG
 SIb3DQEJARYVaHR0cHNfc2VydmVyQGxvY2Fob3N0MIICIjANBgkqhkiG9w0BAQEF
-AAOCAg8AMIICCgKCAgEAzRENni/Lfd/Qy9g41ss3YddZM7NFH3JFq6ElCDoqj5b+
-/h9eN5op7D67qR3nsxl4cSXZEKFljPFCISrncznPEoHbj36TbSpPpRgAvgIywaQG
-8ALRTRT81OkzTcuVLsOuMW0Eh75wYj5CnfHpLmhGqvllPwm9EuVraZs5EhkreiUK
-g9QbDhmbwEXwpcRBITW1RSGh68hpmrCkw3Jy1cAWkNix8727nltpxFlptV9t3idp
-0IVQgXiK5xG+wXhT+PqR2Iv27L81k4E89jx4D63twcyEHEvE71DFYIutzs38RpCL
-Q/ymrOHLZ+1CEWDfqydsyIMqKI5CmyKl+AoQsx6XCWjA/Z1IoVN8xtXILEpayoPb
-kVkBl8H6b3ig9kTDoElrl3I5fT0Z6exu4mxHP4pmRur45S7RdqIwAp2EeQa0o79F
-brUCJMC/aSPhIF8BqNcYIjG82WpEB3LzncuaPvYMUQaWAddYzUEQG0aeZmOwlkC5
-JASqtpRxKdiElwRGNpBim6w0Jwb+aWoM2SDbaCkTthjmPXuTcTQdrdbjinOjbPIA
-I0swzLkw4nYdI5YpLC54FV77SG3OsfIHZ6VLnaX32i8eGexu+wzq9hHdGaOItESq
-4fDiGqhh5DlGy9DEht9TUqLn99VVXcoMc73TpxCYnbaopizJM8Ug2kpXvXwrgNMC
-AwEAATANBgkqhkiG9w0BAQUFAAOCAgEAhFutsa0wKkX2ru3Tf4BTdzbtM93vbU5t
-inoxWq/UkDrXfWL/VTc/hlT5sQQhU6VmTe8AZfQE1A8ikuXeKzrl/UamQJBpFX4o
-/nsnlE1smsgI54BmJg3pXh6O4knvNzfoYmgFSCPEX89rQddtA3ICm4Nm2LmsPTw9
-oMaUigJiX85fiUbFs0D+SgJyczrKakmzYnuKviNWTGLsKnEBfrV+GCnYFIlNlBZS
-NY9dgY8FIlbs0yVBNmWE95Vz+vQ9KSirk4ClCzEx65yIzmosYWJsNUshZ7WgCa0m
-G0JAKcZqCX/fUBWrajGMCxvTEaskRv2uUHaHbBprTy3f0Os4T8ghFFkgwiWLhX2u
-Ft+rsprROXACkm6R1dGhYZsN/6sR6gVUXvFpKOeXMW91eou1o8QLLePxP5bWUnyd
-IEDeXLeKcrLsbTQntJtwcATMtno+NMb/Efw/iMj+XhtGefIMARBWnBs+2ZGjX8qL
-VLrK8JsTvEqFw83FZUOUqj6WTjIMP/qBqwhkTc5XAMQbQQWaDEPzRV+BiKsP7EcG
-EwsuiLyKdvAyp38C8Nm+nB0gb4zPPn6kSR5uNrM/aq3/nQhykhpMletAw160ulr3
-CIEjkBaHDaS3NpzbVqrm/nhcwy4rjU63NfBgu8IuT6tb1ffWGpN3SGCKAgIfmt6n
-ymEZbOcD0m8=
+AAOCAg8AMIICCgKCAgEAsvSNdobG/oO97vhO7xcHpQfpx2QHwYOn+Im0FMTXbTPd
+Bre4wkjEC2KxOjH6MGBEQM02h8SUAWCcvX+HyLBkZRtgeueZZaf2iqc+Tr24ueMa
+f8elqz1tuaua7zyuR+uUgZyxX7rgbuVDUYNt5qVN8uXUSbCtVgxHa3extD7fbvD8
+t9P/QUItx5EBBEeWVhtVffgI35OWMwsJhiwK68ka0kTLJJhZyqAQujKnZf0uHyAv
+Vkai1fYtjklBVLnxwvJZOwnQto3RF1AmuMgj7T6RwDjTR43DioHtTJotrPZfQaAF
+3tVC30Vy8pm0ojFdxUdKPgEMOLBWizXWc3lzWn02CE0awHxwIYNVNLODX3sU/ou8
+OqOIMDRK451xE5S5WOXciWLknY/ene2r4g/pPFYNrwc/9eZ0AYIhE7Jm7b+D3WvL
+z3CrhYul/XmPsXBHBnxkrjvtrj0yDZyHZnMpygqL7Cr9/2V9FwMFPNTNY5Sifmcx
+l6orvx8oe6Q98XwGD575wWU6BwIrpriSa2HWrVIDwwbSCeZ8NULXe8fnC8zInckj
+tzz8osqRv4af+XXoht5zJtt8fUc7o4Xiq4Yyzlj3lJMHWcP+GqzCbJ0c/OY6C/ml
+C6YbMeCwv+/gAs3Xw1eSzimDqxh/kIw6SgBUGoQVffOzaJo917cMyYycLDDN9/8C
+AwEAATANBgkqhkiG9w0BAQUFAAOCAgEAmPprAO6iZZaruR2qeekooeCINXbiGY92
+0Er+jLU2fulOWwDDh7nGMjNM8jz0NKxcjRJ26GLHsQS4lLrD6B6fQb2vBm47oMFX
+pzyeQotvO0uqvMZMNls8tJxKEy7+NVMf+UI/gVTiqIUgnl6hJ3pO2FoDoIG2rwGO
+mAZAc0Xu1w8B0F77umFhlzcK0jKyTGXRIqO8lFYdRpXcIT8wATGxTTyGApWw2nh9
+CWZviX9Fsz6l7qr85ckcrvtzb4e/qtY/oV/y469FtoI2Tz1Iq94Et0zpZMsCfgbd
+TI9IxnPkLd59WbwMghlBtMv7tbXSGCSnSKieZVbf/hGfwVK30dCGS3X0hsF60ADd
+/wh01QgxfXgAktOvCnsMUrfMcElEvE1lgCSqtYw5AL5+nDf3FUwJbr47l8BCk589
+OAN0ijrnUPHNHL83eLuxb26V8B7LRt61HfQOAXBcpwTHyewnOXq0zj5lzkgAU8Sj
+55FObSd2/gvOVw9rr3eC0evgMpDAsOfeupE2BB/VwTRrbRrETiqskWa8EnvqKPkM
+ESIRsstLlUIKbxhSHHaRrtY6FbcN5nXEz4kOXz/tYKuxuPnZz9Wih5YBWcboKxut
+OMrdjUeDnckLAw1rJI+H8+jPkyOqCpcOpLI9xJxmuYJhufjbB/B8ddNT1/pjceze
+uR7coWvplKU=
 -----END CERTIFICATE-----

=== modified file 'bzrlib/tests/ssl_certs/server.csr'
--- bzrlib/tests/ssl_certs/server.csr	2007-11-25 14:05:34 +0000
+++ bzrlib/tests/ssl_certs/server.csr	2008-01-05 22:09:47 +0000
@@ -1,29 +1,29 @@
 -----BEGIN CERTIFICATE REQUEST-----
 MIIFBjCCAu4CAQAwgZsxCzAJBgNVBAYTAkxIMREwDwYDVQQIEwhJbnRlcm5ldDES
 MBAGA1UEBxMJTG9jYWxIb3N0MRQwEgYDVQQKEwtUZXN0aW5nIEx0ZDEVMBMGA1UE
-CxMMaHR0cHMgc2VydmVyMRIwEAYDVQQDEwkxMjcuMC4wLjExJDAiBgkqhkiG9w0B
+CxMMaHR0cHMgc2VydmVyMRIwEAYDVQQDEwlsb2NhbGhvc3QxJDAiBgkqhkiG9w0B
 CQEWFWh0dHBzX3NlcnZlckBsb2NhaG9zdDCCAiIwDQYJKoZIhvcNAQEBBQADggIP
-ADCCAgoCggIBAM0RDZ4vy33f0MvYONbLN2HXWTOzRR9yRauhJQg6Ko+W/v4fXjea
-Kew+u6kd57MZeHEl2RChZYzxQiEq53M5zxKB249+k20qT6UYAL4CMsGkBvAC0U0U
-/NTpM03LlS7DrjFtBIe+cGI+Qp3x6S5oRqr5ZT8JvRLla2mbORIZK3olCoPUGw4Z
-m8BF8KXEQSE1tUUhoevIaZqwpMNyctXAFpDYsfO9u55bacRZabVfbd4nadCFUIF4
-iucRvsF4U/j6kdiL9uy/NZOBPPY8eA+t7cHMhBxLxO9QxWCLrc7N/EaQi0P8pqzh
-y2ftQhFg36snbMiDKiiOQpsipfgKELMelwlowP2dSKFTfMbVyCxKWsqD25FZAZfB
-+m94oPZEw6BJa5dyOX09GensbuJsRz+KZkbq+OUu0XaiMAKdhHkGtKO/RW61AiTA
-v2kj4SBfAajXGCIxvNlqRAdy853Lmj72DFEGlgHXWM1BEBtGnmZjsJZAuSQEqraU
-cSnYhJcERjaQYpusNCcG/mlqDNkg22gpE7YY5j17k3E0Ha3W44pzo2zyACNLMMy5
-MOJ2HSOWKSwueBVe+0htzrHyB2elS52l99ovHhnsbvsM6vYR3RmjiLREquHw4hqo
-YeQ5RsvQxIbfU1Ki5/fVVV3KDHO906cQmJ22qKYsyTPFINpKV718K4DTAgMBAAGg
+ADCCAgoCggIBALL0jXaGxv6Dve74Tu8XB6UH6cdkB8GDp/iJtBTE120z3Qa3uMJI
+xAtisTox+jBgREDNNofElAFgnL1/h8iwZGUbYHrnmWWn9oqnPk69uLnjGn/Hpas9
+bbmrmu88rkfrlIGcsV+64G7lQ1GDbealTfLl1EmwrVYMR2t3sbQ+327w/LfT/0FC
+LceRAQRHllYbVX34CN+TljMLCYYsCuvJGtJEyySYWcqgELoyp2X9Lh8gL1ZGotX2
+LY5JQVS58cLyWTsJ0LaN0RdQJrjII+0+kcA400eNw4qB7UyaLaz2X0GgBd7VQt9F
+cvKZtKIxXcVHSj4BDDiwVos11nN5c1p9NghNGsB8cCGDVTSzg197FP6LvDqjiDA0
+SuOdcROUuVjl3Ili5J2P3p3tq+IP6TxWDa8HP/XmdAGCIROyZu2/g91ry89wq4WL
+pf15j7FwRwZ8ZK477a49Mg2ch2ZzKcoKi+wq/f9lfRcDBTzUzWOUon5nMZeqK78f
+KHukPfF8Bg+e+cFlOgcCK6a4kmth1q1SA8MG0gnmfDVC13vH5wvMyJ3JI7c8/KLK
+kb+Gn/l16IbecybbfH1HO6OF4quGMs5Y95STB1nD/hqswmydHPzmOgv5pQumGzHg
+sL/v4ALN18NXks4pg6sYf5CMOkoAVBqEFX3zs2iaPde3DMmMnCwwzff/AgMBAAGg
 JTAjBgkqhkiG9w0BCQcxFhMUQ2hhbGxlbmdlIGZvciB0aGUgQ0EwDQYJKoZIhvcN
-AQEFBQADggIBAC10BcM1xnNoA1bdYMHTG+TMl3PFtrVUUtJC67WNObLkBUyZQlvK
-8YB6zCaLJAW8z3ECwQvPzqAka0Fk+0ZdE6CdrqAe59cQgNX5hbCkP0/FafNCcxsA
-Py2m/qxx6bW1vJ5Y17FAsOtX6mSFz0ExkKLJEKhNJBkQVCFMWgIQgsXerhHv3gJn
-P1i3CMeGifPbJPSwoNrEfPBgDRrwz60it4cHUFiYyZnUCaCC0lgzQLDOPiIaCAk1
-l7VvVDB2zCVWxVb+Wdfo15TxgjY0q8rJKze26IQbz22I2TCKnlYDdKpTJPVcFY+K
-Ojqv5450LjXELUCzcFExDdweE5yPrMJIbFEfC6iSZ6xj+vWlSOH1w2vNI6+MegyG
-ESlfosR8QQRWU14MIcFfrchgqH4Y/G92kWIjB8fbA8unIRjdETLeZFnSzYzEfiCL
-uhXQX23VZE0afCbcNpQx5uD2X9cCTOPF8HbpcFYMeDSWvu3IM29N7e+GQltFHT6r
-qsDB2GMNZdO252WkIcaCu0hionf/O9rhIujixp0kYbL0AsZmyaE99NCu2GFNYOij
-jG76FCJae3+4s6AE5CdAN8Nm7ShBWef7E5gv5bZn1MJpc1xtTwl2sIq7A/vuLi6o
-je6W8oLZckdV72GlS98raauKb4AH+O7ef7YjvmSROIsdNwXFwJkdqGc4
+AQEFBQADggIBAKMiuMHoAeRVk/wC5Mize0EYf5E8xYwLAkx/nTOIkNcBSmbejHsW
+kwI86+FSiUlo+ndK6UYSiFhtb8kTw299hKt5PQqkz2/FYozOvS2YEXpzJDXOHmXL
+u5vNHq0TkjgkT5F+4m6nlgLSCssQWDsyoCF5gB58D9BMyG02NKnJ9M6/Matsvz6m
+7BnQwclVPSvpYiF5FSwnYdiZAbftt+BFqgHaKqYhLnMUtX8tLjSNCBgdaItSb+Vc
+icGJuIOTqTFSH8PATd50WNXqnJxZsFZmcRKmJ8h6mNqmv6tcJ4iLPFfMLuMFskG/
+L9O4FC9vLtfhCuAGtoaWRJPQ6oYC/3HL97fn3SudwAY+u5tp7CqAzFvMkMJ0gQeI
+8xIkwFkajUCHqV0Gug9Bx+B24YTNPzYiiJ0yIlyTh4R7D9PFv3a9RMOq6bvCwexJ
+02soRu9jijTwklD6jECa/gm40s8ChFo+c3YAF2MjFk1zjd7xT+jW8Pp0uEP9ig6H
+4n+gakpvSRFz2l1DZq3rfofyqBFOdVJRJ3IWc+n79K/E7zCTSA68vfYutMj+wuzW
+mSs0vBFu+2BQDHaCwq9R9vAhh2YLJZ9v6mID5PvqFGCJ2drNaTktR9xLfpmve6oC
+mn8mlI+pUaCd52XdgpYCTlXsnieaPOEWycSxnML8UxwoFk05K+oumg6F
 -----END CERTIFICATE REQUEST-----

=== modified file 'bzrlib/tests/ssl_certs/server_with_pass.key'
--- bzrlib/tests/ssl_certs/server_with_pass.key	2007-11-25 14:05:34 +0000
+++ bzrlib/tests/ssl_certs/server_with_pass.key	2008-01-05 22:09:47 +0000
@@ -1,54 +1,54 @@
 -----BEGIN RSA PRIVATE KEY-----
 Proc-Type: 4,ENCRYPTED
-DEK-Info: DES-EDE3-CBC,A9AD0755D72F6039
+DEK-Info: DES-EDE3-CBC,F62A242FE077370D
 
-ZLBaqh+yf4aVFjpJYaroObUpO7Pg46WBMQg5eU0/LMIGGIdrhPwd9aEKkb/jhVtR
-C7x/EZpiHd7U0LkiE3S33IDT6VDMfynAJq9IFPoPnYaLHq/6x9nyNi1pxj3ImRzY
-WF3uwq7beRbaQQCq4hvaWjKZy6YpFk8sAoGrv16ZMrYsAYabIdDsyNiT99nuNuZd
-2Pjx0X/W8gHegvvyedkH6L6EBP3E8sc9+7dI4Hw5SAZoejOyb/MreCuTmHBeI881
-0hpGlGnmhNNmvqO7Xs3aKm/XpXgBo4Np26HjmPQ4vafwG5UFN4+hr70xRJ1jcppX
-w8JaMi0ildwCgK/QX3YH1Y0Ai7vN7ccsywriwXEJUD146Y6MiRbvZvLSZ3gzGj+Q
-cKkTsdrm33AxdY6fwfXQE+Cez5nX/mCDsDHPlyv+E8xK9DuMI2TSeGvjpgmq8k78
-CgIo/4xdhUsZtwfL10bQl8ukPG/1dSJgxtWDM4BFI2uTmRoUZ9hW97UshLj+R8LX
-YbcgqXaaRWHz6jyCcPYoa44GG2cImT96WD+K4jHxYfuT1gqVbUH90CGXb1K5Aq+9
-PrensdaPb3irhMm1JZ9LzyxXAH+xKZvhLh9GK4Q64/+PZYjVl0dMIbQVnL1evxU0
-y/KU87OqVIdeasyJ3CKaXx77ntPygg2vIxR5oKJFN55Td3r9klHNn8S2DGPEybLl
-Po+sdE7wtclrT5vgVuzva730uJnVgENFDbRGZpKInGHkL1dXY0pIQnes0y4+H5yX
-PHpX+BZbFJnBm0uPMCWR3U9ZBPy8BNjRHmKJjwsI1LiDALoyv0WJC9My+TYeFVGQ
-U3LyBLbhIQTFaXBro1DJ4qU+ZNu5hT7nRyJbcA5befs0ylreTIzEy7QhplmrIsTv
-cQd2igaPQUUrMV1QJAileJG9cRxhN0m3BA+Evuj5Vi0HGId5zrs7ymLLWiP9Iyuc
-qUWdeqJTvVUb0oeLkgXVI9XOXVka20MejbKsltRkw24TgArB1MPZ+bV+yoDNORWB
-Oz929DVC2MpJE9EDGL330G+LultSSpLrmD7L9iwf97vwvPvausl6mU4BaGH79PtA
-wC75MDeAQ4Nom70J7ZgWoAuxuq9jvWRfdyO+oO099B/oYua+NqDXi6YD9uBcLACT
-bRJa/Ly/wyq2s+3v9/6u2rQy596/s+R+5UvQiKeNP0kR5n2CIj24OnmgaoCtYCi/
-RSbMDrBwaytCqDyBOTuN85jkHxzC+EK2cidafSb96GRlulmpPkAHQINeDTF+2K/r
-jSqYhrUcjdDiXdSDyD1ZukeAuIsbVHyEeIZOKw5kuYQJ72yEw42d1qaapDggnIfY
-wvJTSsIplwo2iH/Rg2rULf0lXttngAI2vPK2GbgyPDLhfQhE3pg+oCJoJw+xPdJs
-uVE3Um6ZdWyBS3kpoJ80fbpcwFjPmbnUWsxI1hcYPYUXSZcArNgCJ1B6bq0Qv/B4
-UR0PdaBDWwZzQ/av1J0g7GCjdbZzjWya+CURE9it5yM0gbW7f5OeOXmyJTGtpXkn
-L7+EXcirM2jH6izuIll7cg95z4kHX7RCuiRCCrQ1puhxaWk/NnIaFu0VFi9vkfOx
-NVJv9MCYV3uB036/eAR/YkMtrLFo4SXoB1CIh6vfY3sthWD/snQJchh4NxE1nmtt
-lLWdHsF2NATRt1WSKeC/euXT1+iEhaY/NO6KehsigwDHqjsyCGjjcTZhx3+r1IIt
-sU3MRYadRIzySGDZGqtwyemn6ZLLmW/hrOUHZEhs0xd6eiKA3gWNcvn8dpONfnuT
-bEBoAHdMXJl1zu2qWyXOUoru8U1FxRKc+M+RnK8ICoQFCmG99QuC6Y3Nflx30+eR
-ebv1w88MOiAXLLoUP+LtSI5IBd0OpIXM/I4f7SPMI/btBKlSI1gdG2P2i/LSp9sj
-eUOe7WWd44TT7jHQQMpjY/KyF4O/kPixkvDoTE7+BYVJptTrHj5EAsyXf3PgS8KH
-SVQdaKY0cOdTsBAFlBrhDveDqwxJ83J7rbbY3Os+uUEsnXHv4jog79WPiWF+VRcR
-x0lAGpOqA9GyYzjHtSXYuqxemAXp+k78eAqAMA5zMKLt3/FVSy7yoKTZ0uFYDHMA
-z3p3gzAntDrWGIqjNfJAauBUopHzu62xni8CG45be/f2cHmmkXpwH81k07Vq46iy
-ZDoYhFishZX/xCwhuvC7cRHurDnz/4NxMWwJwx0q3AO4hDamdGDl6q6FS58eTywa
-mwykg5AfJXx992VLVT1Q/+SPAxrQZ5TPYJbFPrUz62z1BBPvGgz5To3bfzY+sVca
-9NvVf3dJkG/lCGwRUJSW4Hgm4Gx7qSAD2OsfE7Y33diY01Xtalqe+N2XWsWNOgk7
-fGWyYdrhZFoS9XNTYXjynriI5tHa7vxK0n26chpivWsIwO3mCrrUwOU+vYsBILfD
-Gt7ZjRfbvRPluTQVWrMlkt5klB4h+KBcpA4qeQZDGFe5aJfnPCoBuCzSxyInbsX1
-CmSBUsUwOgzaJ6DkQNuBFdWM/5OI896HdXA3jOZntksD7SiLNNDRv373L+rZ6GVM
-1awLscinhdDzVaP4FeoVK45SmLkitlw2u3r6NZ0PzluEsJJC4Dlqg9Pf5LHBWtHz
-6VLbwcaLJCcqSyjc5+jbrKnBFTwHD7UP9Y8mRakrdRW+cFNKkJB95MR+fAlB5DB0
-pZboVrKQPlQxt6jLJrJe9oBpwFyHoRGjKg7rniLxQVPaDDuiJpSu0yfGDklRSCJq
-TZGz1aE2v83+ZTKSeN+6/795Ac9DPP7zdc9cKFheOOGmTF6ktC5HinVATFlJEb6j
-7UDfcZJo6FlMwiKPcsK3nbYXRank5V42otJdrj2DyU4qrtGgs3Zz6R2t8ExLJNdW
-ML+6GWmCiVjg2vKE4IuilD1+Ba5IUy4MDWJyV5w/aaLvQSUApWI4xT3WA2v4OdDi
-ewrI5FEzicqTn3VTXeGUGAhzHVuJfw/9gCddgKNMoC0JR0XtGHeIn8DoE1MwoPSu
-WiY64pZB6DzfHM50PZm6qb9D+1e8JWm/42gfcm7XPLmkj6ZYybPZTDw0qs1hjfHQ
-bDzFuIVRfPH74wxVNqTMnoULIg23dNxEVTPGyV4Ix+cQcT9f5wxmKnmvEVXaktry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 -----END RSA PRIVATE KEY-----

=== modified file 'bzrlib/tests/ssl_certs/server_without_pass.key'
--- bzrlib/tests/ssl_certs/server_without_pass.key	2007-11-25 14:05:34 +0000
+++ bzrlib/tests/ssl_certs/server_without_pass.key	2008-01-05 22:09:47 +0000
@@ -1,51 +1,51 @@
 -----BEGIN RSA PRIVATE KEY-----
-MIIJKQIBAAKCAgEAzRENni/Lfd/Qy9g41ss3YddZM7NFH3JFq6ElCDoqj5b+/h9e
-N5op7D67qR3nsxl4cSXZEKFljPFCISrncznPEoHbj36TbSpPpRgAvgIywaQG8ALR
-TRT81OkzTcuVLsOuMW0Eh75wYj5CnfHpLmhGqvllPwm9EuVraZs5EhkreiUKg9Qb
-DhmbwEXwpcRBITW1RSGh68hpmrCkw3Jy1cAWkNix8727nltpxFlptV9t3idp0IVQ
-gXiK5xG+wXhT+PqR2Iv27L81k4E89jx4D63twcyEHEvE71DFYIutzs38RpCLQ/ym
-rOHLZ+1CEWDfqydsyIMqKI5CmyKl+AoQsx6XCWjA/Z1IoVN8xtXILEpayoPbkVkB
-l8H6b3ig9kTDoElrl3I5fT0Z6exu4mxHP4pmRur45S7RdqIwAp2EeQa0o79FbrUC
-JMC/aSPhIF8BqNcYIjG82WpEB3LzncuaPvYMUQaWAddYzUEQG0aeZmOwlkC5JASq
-tpRxKdiElwRGNpBim6w0Jwb+aWoM2SDbaCkTthjmPXuTcTQdrdbjinOjbPIAI0sw
-zLkw4nYdI5YpLC54FV77SG3OsfIHZ6VLnaX32i8eGexu+wzq9hHdGaOItESq4fDi
-Gqhh5DlGy9DEht9TUqLn99VVXcoMc73TpxCYnbaopizJM8Ug2kpXvXwrgNMCAwEA
-AQKCAgASQTRfIo4Q1H23x7W3mTuC4DK2oXzDwd5l2uB7DQKA6cYlRRGUDYsx1pvK
-ADmB/gB0whPCoTtzAn8KiNE1tq2yThEHgxMIor2YSry2LWfrSPi9IOMU44tmQKQq
-hrbvBMha6gN/OfqzJCu197T0RqAT1EOpCurj5bxcGE9KRydRpj57YcROywTMZu13
-NDNAC5HpZ4cMgDi2ZockRunmEUVw+3lL41XyUNznd7YrSSV0ozmOMG/sNpjW3QOI
-IXgIL/YPutXuWU8hpF2S5esiKi+CEvynsC8FxsDrSUPdpwSQG4nqMXF87lS3Ga3J
-8j+28rmCV/rGxXM0cC8qF2tJJq33Jao4cntobJKnZc/M8X7VWuP9bZzdHQqVrrE5
-mng6puY92cSy0gFJnvcw9nqRk4wB5izi/NrKa64dJz0Nn/RnzhXbJ1C/8EUgQiiI
-lwmnEDWRzxP6GFFp/nt1aCGFqfBRFbvDKMwByKrKjYBmtbCzPBc0KTHaBTVgfYSe
-oGeryNyQzORi9e2PGuGjqDPXHoCyrwxbsVLEyaaqJdt5njkSnHUgb0jyMuD4a4Qg
-Jnkc8nH0bBQUpNLmW3if835ZC8Yb/AIFZCI68LW1JgOc0XZL/84LN2+TaK42jHL0
-r7E9JNfSuCvrcqB2Lap0vSBnEVW3AHJ0AX4gAhwnGJm48CVJkQKCAQEA6Cm85f9l
-LX+cHXxJRUjmT9idM3yrkQklkfXd9HIKILZ/iesURklF1N+1oT7DklDdaCHtCiSQ
-Iwq5f3R/faSYMhaBwVtLP2gPjToaNLPy5hqV+NX9/pOBh3ISGZWamcanm0un4jGe
-rKeGLIb1E6VUDQon7TbLTlKCSpapnwb9jkCiUvMpMYxTMIxg14lZqN5H70USKJuZ
-Am0HY5NmIIQJts8w3E3mmp5XSeaGv+RFsyT8Lokqk12qcO09IXeerCEsFApHQRkF
-zK7qWM+T83r4y6rOiU9cmStAev+1ve+Gt1X1hR+v0I+r/dcTe7Zo4CxKNCtluEts
-2zTBZvXEM7WdvwKCAQEA4h8aPuJARiZqgIPu5gMcNQFyoM+p2QTT5MkYrZ3NT7jV
-jzRRrS2vOgOMuxTEt9xNxT2ZX09Kb60ai2dvWs+jiF8NX0Bghnjwe1Lqc5LcvOuO
-TNVA3CIpEqvwdqaSITWk8OnzQJOhKqF8bZk7gsvEOsXhIaHwwaBhCvDRLdtBDxsk
-ugCrPIrgwjORN7PaRIn68WqjC2wfnQvX1lMPoFKEExiCm2iVCRt7cSt7SS5e/12t
-8X+wHKI2LVWxkxXhkg3OC7gNBhkBJSz1AT8/FJRLTyLfTBGyM0zKEOIF5aNg9BSN
-TC4Z64A9a6Sjw9z+OP1LE9iXbdDSOYPIpCiZGjNJ7QKCAQEAmjQu3e23PHNINGV7
-HWQAZgSQ1cP3CQy0QbC3Tkf45iWRrP/RpaXBllVJBOL1b9f6V9JA6b3DZyMWdsvg
-aonK9WnxoYaMAn+R5NI02dC0g5YhCvjIDjHXlSl1UD0IRR+n8ARebGVc6X0UJ7s0
-SWpE26xlPLBqdYlkNTrBS3mPLM9Ngh80u05jaxmysTbvsLSDvy93kjVXej8E62Ta
-LrrE4QHZiFrN0uFdRR6zXf23NfhY8Gf3OY67SOqq8fHMGLSn3F+/WEPQkFWWHosx
-0EVbv5uiN53Y+Xu7BneWNaRFLL0RqOyVEMh9CsuyizdrjYqddu1kUPb4RNlTpJmV
-SmtVbQKCAQAQAmO5UAt86/teXfjsEAxPNGsJN6qu0sityg8VO7btjgiQuwONX06o
-rNep5y6GVfKrpFDXjqWWgor+k7QumcTaQuCPfd9Xpfhgwt4WkK9QMN1CU1bkPwbp
-a4L645A1CbdD10yBpfIjMou8tryf5g1em+P0naKOEuzL+YDV3lAc4a8X/DQjdTG0
-jjIZ34H0mFBMB2DDzkPuuofthLP2heET+QhGOIFUw71Zpdp0s/PF4LwP/Rpa7KEp
-VIfeAg6WaKPN8Jn7dInAOA6gp/mvW1B5qd5lZFtZhnZH+7ivKYITxeC7JAhxxAKV
-PHLbyym0nzpRjWQrQj2gFNR/yuAMGtWBAoIBAQDeg87u3B6kUc2Fzm6vbsT6Xiv/
-C18rMTXvPH/9H8raGCXsrXKDaW5fHSsS3EWxAq8D3uFzr85H/ajAA1N+xwz6LbXx
-pcUI4Xp8NDxfuKOi+jPe5dOlRiylghkR+RaRWIHKstmGMkWLrmsOxGR9DCaI8a7L
-mleTB7Kh8cGgNJMddlnZ5FaispRPIiGuHJ6YSJcpb4uuJakbYbEdYB89Z8aklNML
-KTQILQSj61X7UnFMhUSKmEvt/IVxQn/1X6zJ4C2DUCj1/OBgPdHYzsD4PQJGZwC0
-TUmjQbXzhHJXIcW37fE3px0dIMiZfTMC70/D8/2V8vqj0ZbXGOgZFYXte+Mb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 -----END RSA PRIVATE KEY-----

